/ comp / gb.opengl / gl / istexture
Gl.IsTexture (gb.opengl)
Syntax

    STATIC FUNCTION IsTexture ( Texture AS Integer ) AS Boolean

### Determine if a name corresponds to a texture

#### Parameters

- Texture specifies a value that may be the name of a texture.

#### Description

Gl.IsTexture returns TRUE if texture is currently the name of a texture. If texture is zero, or is a non-zero value that is not currently the name of a texture, or if an error occurs, Gl.IsTexture returns FALSE.

| Gl.IsTexture is available only if the GL version is 1.1 or greater.

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.IsTexture is executed between the execution of Gl.Begin and the corresponding execution of Gl.End.

### See also

Gl.BindTexture , Gl.CopyTexImage1D, Gl.CopyTexImage2D, Gl.DeleteTextures , Gl.GenTextures, Gl.GetTexParameter, Gl.TexImage1D, Gl.TexImage2D, Gl.TexParameter